﻿.mu-research {
    margin-bottom: 3px !important;
}

    .mu-research .bg-details {
        background-color: #000;
        color: #fd0;
    }

        .mu-research .bg-details:hover {
            background-color: #111;
        }

        .mu-research .bg-details:focus {
            z-index: 3;
            outline: 0;
            box-shadow: none;
            border: 0 !important;
        }

/* Accordion */
.accordion-button::after {
    background-image: url('https://user.aetramtrades.mu/assets/images/right-arrow.png') !important;
    background-repeat: no-repeat;
    background-size: 1rem 1rem;
    transform: rotate(0deg);
}
/*
.news-widget {
    padding: 15px;
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
    height: 420px;
    position: relative;
    overflow: hidden;
}
*/
.news-widget {
    padding: 15px;
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    height: 420px;
    justify-content: center;
}

@media (min-width:768px) {
    .news-widget {
        height: 160px;
        justify-content: space-evenly;
        position: relative;
        overflow: hidden;
    }
}
    .news-item {
        display: none;
        position: absolute;
        width: 100%;
        opacity: 0;
        transition: opacity 0.8s ease-in-out, transform 0.8s ease-in-out;
        transform: translateX(20px);
    }

        .news-item.active {
            display: block;
            opacity: 1;
            transform: translateX(0);
            z-index: 1;
        }

        /*.news-item:hover {
            background: rgba(255, 255, 255, 0.03);
            border-radius: 8px;
            transition: background 0.3s ease;
        }*/

    .news-heading {
        font-weight: bold;
        font-size: 1.3rem;
        margin-bottom: 8px;
        color: #ffd700;
        text-shadow: 0 0 6px rgba(255, 215, 0, 0.3);
    }

    .news-body {
        color: #f1f1f1;
        font-size: 15px;
        line-height: 1.5;
    }

    .spin {
        width: 25px; /* spinner size */
        aspect-ratio: 1;
        padding: 12px;
        margin-top: -4px; /* border thickness */
        border-radius: 50%;
        background: linear-gradient(180deg, #f0d15c 0%, #ecc34d 15%, #d88105 100%);
        mask: conic-gradient(#0000, #000), linear-gradient(#000 0 0) content-box;
        -webkit-mask: conic-gradient(#0000, #000), linear-gradient(#000 0 0) content-box;
        animation: load 1s linear infinite;
    }

    @keyframes load {
        to {
            rotate: 1turn;
        }
    }


    .flip-card {
        background-color: transparent;
        width: 100%;
        height: 70px;
        perspective: 1000px;
    }

    .flip-card-inner {
        position: relative;
        width: 100%;
        height: 100%;
        text-align: center;
        transition: transform 0.6s;
        transform-style: preserve-3d;
    }

    .flip-card:hover .flip-card-inner {
        transform: rotateY(180deg);
    }

    .flip-card-front, .flip-card-back {
        position: absolute;
        width: 100%;
        height: 100%;
        -webkit-backface-visibility: hidden;
        backface-visibility: hidden;
    }


    .flip-card-back {
        transform: rotateY(180deg);
    }

    .golden-text {
        background: linear-gradient(180deg, #f0d15c 0%, #ecc34d 15%, #d88105 100%);
        background-clip: text;
        color: transparent;
        font-weight: 800;
        line-height: 2;
    }

    .pl-card {
        background-color: #e6f3f0; /* light greenish background */
        padding: 10px;
        border-radius: 12px;
        text-align: center;
        box-shadow: 0 4px 10px rgba(0,0,0,0.05);
    }

        .pl-card .label {
            font-size: 14px;
            margin-bottom: 8px;
            color: #7d7d7d;
            font-weight: bold;
        }

        .pl-card .value {
            font-size: 18px;
            font-weight: bold;
        }

    .trade-progress-wrapper {
        width: 90%;
        margin: 0 auto;
        position: relative;
    }

    .signal-bt {
        display: flex;
        justify-content: right;
    }

    @media (max-width:767px) {

        .trade-progress-wrapper {
        }

        .exe-block {
            width: 100% !important;
        }

        .signal-bt {
            justify-content: center;
            padding-top: 15px;
        }

        .pl-card {
            width: 100%;
            margin: 0 auto;
        }
    }

    .trade-progress-bar {
        position: relative;
        height: 6px;
        background: #dcdcdc;
        border-radius: 3px;
        overflow: visible;
    }

    .profit-fill {
        position: absolute;
        height: 6px;
        background: #00c48c;
        border-radius: 0 3px 3px 0;
        top: 0;
        z-index: 3;
        left: 0;
        width: 0;
    }


    @media (max-width:767px) {
        .progress-labels div {
            top: -70px;
        }

        .progress-labels {
            display: none;
        }

        .trade-progress-wrapper {
            padding-top: 30px;
        }
    }

    .loss-fill {
        position: absolute;
        height: 6px;
        background: #ff4c4c;
        border-radius: 3px 0 0 3px;
        top: 0;
        z-index: 3;
        right: 0;
        width: 0;
    }

    .price-marker {
        position: absolute;
        top: 50%;
        transform: translate(-50%, -50%);
        width: 16px;
        height: 16px;
        border-radius: 50%;
        background: #b0b0b0;
        border: 2px solid white;
        z-index: 5;
        display: flex;
        align-items: center;
        justify-content: center;
        color: white;
        font-size: 12px;
        font-weight: bold;
        transition: background-color 0.3s ease;
    }

    .entry-marker {
        background-color: rgb(255 160 0) !important;
        z-index: 6;
    }

    .icon-x,
    .icon-check {
        pointer-events: none;
        user-select: none;
        line-height: 1;
    }

    .progress-labels {
        position: relative;
        margin-top: 15px;
        font-size: 14px;
        color: #222;
        font-weight: 600;
        height: 40px;
    }

        .progress-labels div {
            width: 60px;
            font-weight: 600;
            font-size: 14px;
            color: #222;
            user-select: none;
        }

    .label-sl {
        float: left;
        text-align: left;
    }

    .label-tp {
        float: right;
        text-align: right;
    }

    .label-entry {
        position: absolute;
        top: 0;
        text-align: center;
        font-weight: 600;
        font-size: 14px;
        color: #222;
        user-select: none;
        width: 60px;
        transform: translateX(-50%);
    }

    .progress-labels span {
        display: block;
        font-size: 12px;
        font-weight: normal;
        color: #666;
        text-align: center;
    }

    .live-price-display {
        margin-top: 30px;
        font-size: 16px;
        font-weight: 600;
    }

    .price-red {
        color: #ff4c4c !important;
    }

    .price-green {
        color: #00c48c !important;
    }


    .swiper {
        width: 100%;
        padding: 20px 0;
    }

    .swiper-button-next {
        background: none !important;
    }

    .swiper-button-prev {
        background: none !important;
    }

        .swiper-button-next:after, .swiper-button-prev:after {
            font-size: 25px !important;
        }

    .mu-research .accordion-body {
        background: #fff !important;
        ;
    }

    .mu-research .accordion-button {
        font-size: 14px !important;
    }

    .mu-research .re-title {
        font-weight: bold;
        position: absolute;
        right: 45px;
    }

    .mu-research .accordion-button:not(.collapsed) {
        background-color: #b7b7b7 !important;
        font-weight: 700 !important;
        color: #000 !important;
    }

        .mu-research .accordion-button:not(.collapsed) .re-title {
            color: #4040ad !important;
        }

    .mu-research .accordion-button .re-title {
        color: #c4c4c4 !important;
    }

    .mu-research .accordion-item:last-of-type > .accordion-header .accordion-button.collapsed .re-title {
        color: #c4c4c4 !important;
    }

    @media (max-width:767px) {
        .mu-research .re-button {
            display: block !important;
        }

        .mu-research .re-title {
            position: static;
        }
    }

    .about-bg-white h3 {
        font-size: 30px !important;
    }

    .closed-red {
        color: red;
        font-weight: 700;
    }

    .trade-card {
        border: 1px solid #dadada;
        border-radius: 8px;
        background: #fff;
    }

    .trade-type {
        font-weight: 700;
        font-size: 20px;
    }

        .trade-type.buy {
            color: #00c48c;
        }

        .trade-type.sell {
            color: #e74c3c;
        }

    .trade-symbol {
        font-weight: 700;
        text-decoration: underline;
        font-size: 20px;
        color: #808080;
    }

    .trade-details {
        display: flex;
        gap: 20px;
        color: #333;
        font-size: 14px;
    }

    .trade-user .user-name {
        font-weight: 600;
        color: #333;
    }

    .badge {
        font-size: 12px;
        padding: 3px 6px;
        border-radius: 4px;
        color: #fff;
        font-weight: 600;
    }

        .badge.red {
            background: #e74c3c;
        }

        .badge.green {
            background: #27ae60;
        }

        .badge.yellow {
            background: #f1c40f;
            color: #333;
        }

        .badge.blue {
            background: #3498db;
        }

    .pl-box {
        background: #e8f8f2;
        border-radius: 8px;
        padding: 10px 15px;
        display: inline-block;
        min-width: 100px;
    }

    .pl-label {
        font-size: 13px;
        color: #555;
    }

    .pl-value {
        font-size: 20px;
        font-weight: 700;
    }

    .price-green {
        color: #00c48c !important;
    }

    .price-red {
        color: #e74c3c !important;
    }

.exe-block {
    border-left: 2px solid #00c2a8;
    padding-left: 20px;
    position: relative;
    background-color: #ffffff;
    /*  width: 280px;*/
    padding-top: 10px;
    padding-bottom: 10px;
    box-shadow: 0 2px 8px rgba(0, 0, 0, 0.05);
    border-radius: 5px;
    width: 80%;
}

.trade-details p {
    margin: 0 !important;
    font-size: 14px !important;
}

.trade-card {
    border-radius: 10px !important;
}


        .exe-block::before {
            content: '';
            width: 12px;
            height: 12px;
            border: 2px solid #00c2a8;
            border-radius: 50%;
            background-color: #fff;
            position: absolute;
            left: -7px;
            top: 20px;
        }

        .exe-block p {
            margin: 6px 0;
            color: #333;
            font-size: 14px;
        }

        .exe-block .status {
            font-weight: bold;
            font-size: 15px;
            color: #000;
        }

        .exe-block .datetime {
            color: #777;
            font-size: 13px;
        }

        .exe-block .label {
            display: inline-block;
            width: 80px;
            color: #555;
        }

        .exe-block .value {
            font-weight: bold;
            color: #000;
        }

    .fa-spin-custom {
        display: inline-block;
        animation: spin 1s linear infinite; /* speed: 1s per rotation */
        color: gray; /* icon color */
        margin-left: 5px;
        font-size: 18px; /* adjust size */
    }

    @keyframes spin {
        from {
            transform: rotate(0deg);
        }

        to {
            transform: rotate(360deg);
        }
    }

    .agr-gold {
        margin: 10px 2px;
        padding: 15px;
        background: linear-gradient(90deg, rgba(201, 143, 48, 1) 0%, rgba(245, 233, 125, 1) 33%, rgba(190, 128, 43, 1) 67%, rgba(226, 190, 89, 1) 100%);
    }

    .agr-header {
        background: #000;
        margin-bottom: 15px;
        padding: 15px 20px;
        color: #fff;
        display: flex;
        justify-content: space-between;
        align-items: center;
    }


    .agr-stock {
        font-size: 18px;
        font-weight: 500;
        text-align: right;
        line-height: 0.8;
        text-transform: uppercase;
        color: #ededed;
        line-height: 1.2
    }

        .agr-stock span {
            font-size: 14px;
            font-weight: 400;
            text-align: right;
        }

    .agr-content {
        padding: 20px;
        background: #fff;
        line-height: 1.7;
        color: black;
    }
